package org.sonatype.flexmojos.compiler;

import java.io.File;
import java.util.List;


public interface IASDocConfiguration extends IFlexConfiguration {
  String[] getHelp();

  Boolean getIncludeLookupOnly();

  String[] getLoadConfig();

  String getOutput();

  Boolean getVersion();

  List getDocClasses();

  List getDocNamespaces();

  File[] getDocSources();

  String getExamplesPath();

  List getExcludeClasses();

  Boolean getExcludeDependencies();

  String getFooter();

  Boolean getKeepXml();

  Integer getLeftFramesetWidth();

  String getMainTitle();

  String getPackageDescriptionFile();

  Boolean getSkipXsl();

  String getTemplatesPath();

  String getWindowTitle();

  Boolean getRestoreBuiltinClasses();

  Boolean getLenient();

  File[] getExcludeSources();

  Boolean getDateInFooter();

  Boolean getIncludeAllForAsdoc();

  Boolean getWarnings();

  String getDumpConfig();

  String getFramework();

  Boolean getBenchmark();

  Integer getBenchmarkCompilerDetails();

  Long getBenchmarkTimeFilter();

  String getDebugPassword();

  Integer getDefaultBackgroundColor();

  Integer getDefaultFrameRate();

  IDefaultScriptLimits getDefaultScriptLimits();

  IDefaultSize getDefaultSize();

  List getExterns();

  Boolean getGenerateFrameLoader();

  List getIncludes();

  Boolean getLazyInit();

  String getLinkReport();

  String getSizeReport();

  String[] getLoadExterns();

  String getRawMetadata();

  String getResourceBundleList();

  String[] getRuntimeSharedLibraries();

  Boolean getUseNetwork();

  IRuntimeSharedLibraryPath[] getRuntimeSharedLibraryPath();

  Boolean getStaticLinkRuntimeSharedLibraries();

  Boolean getVerifyDigests();

  Boolean getRemoveUnusedRsls();

  Boolean getIncludeInheritanceDependenciesOnly();

  String getTargetPlayer();

  Integer getSwfVersion();

  Boolean getUseDirectBlit();

  Boolean getUseGpu();

  Boolean getSwcChecksum();

  String getToolsLocale();

  IPackagesConfiguration getPackagesConfiguration();

  ICompilerConfiguration getCompilerConfiguration();

  IFramesConfiguration getFramesConfiguration();

  IMetadataConfiguration getMetadataConfiguration();

  ILicensesConfiguration getLicensesConfiguration();

  IRuntimeSharedLibrarySettingsConfiguration getRuntimeSharedLibrarySettingsConfiguration();

}
